Index: trunk/SophyaLib/BaseTools/smakefile
===================================================================
--- trunk/SophyaLib/BaseTools/smakefile	(revision 3073)
+++ trunk/SophyaLib/BaseTools/smakefile	(revision 3074)
@@ -16,6 +16,6 @@
  
 $(SOPHYAOBJP)dvlist.o: dvlist.cc sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h dvlist.h objfio.h \
-  anydataobj.h ppersist.h pexceptions.h gnumd5.h ppfbinstream.h \
+  $(SOPHYAINCP)machdefs.h dvlist.h \
+  objfio.h anydataobj.h ppersist.h pexceptions.h gnumd5.h ppfbinstream.h \
   rawstream.h ppfnametag.h mutyv.h timestamp.h \
   $(SOPHYAINCP)strutil.h
@@ -23,18 +23,18 @@
  
 $(SOPHYAOBJP)fiondblock.o: fiondblock.cc sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h pexceptions.h \
-  datatype.h fiondblock.h ppersist.h gnumd5.h ppfbinstream.h rawstream.h \
-  ppfnametag.h ndatablock.h anydataobj.h
+  $(SOPHYAINCP)machdefs.h \
+  pexceptions.h datatype.h fiondblock.h ppersist.h gnumd5.h \
+  ppfbinstream.h rawstream.h ppfnametag.h ndatablock.h anydataobj.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fiondblock.cc
  
 $(SOPHYAOBJP)mutyv.o: mutyv.cc sopnamsp.h mutyv.h \
-  $(SOPHYAINCP)machdefs.h timestamp.h \
-  objfio.h anydataobj.h ppersist.h pexceptions.h gnumd5.h ppfbinstream.h \
-  rawstream.h ppfnametag.h
+  $(SOPHYAINCP)machdefs.h \
+  timestamp.h objfio.h anydataobj.h ppersist.h pexceptions.h gnumd5.h \
+  ppfbinstream.h rawstream.h ppfnametag.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  mutyv.cc
  
 $(SOPHYAOBJP)ndatablock.o: ndatablock.cc sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h pexceptions.h \
-  ndatablock.h anydataobj.h
+  $(SOPHYAINCP)machdefs.h \
+  pexceptions.h ndatablock.h anydataobj.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  ndatablock.cc
  
@@ -44,45 +44,47 @@
  
 $(SOPHYAOBJP)ppersist.o: ppersist.cc sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h pexceptions.h \
-  ppersist.h gnumd5.h ppfbinstream.h rawstream.h ppfnametag.h \
-  anydataobj.h
+  $(SOPHYAINCP)machdefs.h \
+  pexceptions.h ppersist.h gnumd5.h ppfbinstream.h rawstream.h \
+  ppfnametag.h anydataobj.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  ppersist.cc
  
 $(SOPHYAOBJP)ppfbinstream.o: ppfbinstream.cc sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h ppfbinstream.h \
-  rawstream.h pexceptions.h
+  $(SOPHYAINCP)machdefs.h \
+  ppfbinstream.h rawstream.h pexceptions.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  ppfbinstream.cc
  
 $(SOPHYAOBJP)ppftpointerio.o: ppftpointerio.cc \
-  $(SOPHYAINCP)machdefs.h sopnamsp.h \
-  ppftpointerio.h ppersist.h pexceptions.h gnumd5.h ppfbinstream.h \
-  rawstream.h ppfnametag.h
+  $(SOPHYAINCP)machdefs.h \
+  sopnamsp.h ppftpointerio.h ppersist.h pexceptions.h gnumd5.h \
+  ppfbinstream.h rawstream.h ppfnametag.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  ppftpointerio.cc
  
 $(SOPHYAOBJP)rawstream.o: rawstream.cc sopnamsp.h rawstream.h \
-  $(SOPHYAINCP)machdefs.h pexceptions.h
+  $(SOPHYAINCP)machdefs.h \
+  pexceptions.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  rawstream.cc
  
 $(SOPHYAOBJP)sophyainit.o: sophyainit.cc sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h sophyainit.h \
-  pexceptions.h ppersist.h gnumd5.h ppfbinstream.h rawstream.h \
-  ppfnametag.h fiondblock.h ndatablock.h anydataobj.h dvlist.h objfio.h \
-  mutyv.h timestamp.h fiosegdb.h segdatablock.h ppftpointerio.h \
-  ppfwrapstlv.h sversion.h
+  $(SOPHYAINCP)machdefs.h \
+  sophyainit.h pexceptions.h ppersist.h gnumd5.h ppfbinstream.h \
+  rawstream.h ppfnametag.h fiondblock.h ndatablock.h anydataobj.h \
+  dvlist.h objfio.h mutyv.h timestamp.h fiosegdb.h segdatablock.h \
+  ppftpointerio.h ppfwrapstlv.h sversion.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  sophyainit.cc
  
 $(SOPHYAOBJP)timestamp.o: timestamp.cc sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h timestamp.h \
-  objfio.h anydataobj.h ppersist.h pexceptions.h gnumd5.h ppfbinstream.h \
-  rawstream.h ppfnametag.h
+  $(SOPHYAINCP)machdefs.h \
+  timestamp.h objfio.h anydataobj.h ppersist.h pexceptions.h gnumd5.h \
+  ppfbinstream.h rawstream.h ppfnametag.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  timestamp.cc
  
-$(SOPHYAOBJP)gnumd5.o: gnumd5.c $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)gnumd5.o: gnumd5.c \
+  $(SOPHYAINCP)machdefs.h \
   bithelp.h gnumd5.h
 	$(CCOMPILE) -o $@  gnumd5.c
  
 $(SOPHYAOBJP)srandgen.o: srandgen.c \
-  $(SOPHYAINCP)machdefs.h srandgen.h \
-  smathconst.h
+  $(SOPHYAINCP)machdefs.h \
+  srandgen.h smathconst.h
 	$(CCOMPILE) -o $@  srandgen.c
  
Index: trunk/SophyaLib/BaseTools/srandgen.c
===================================================================
--- trunk/SophyaLib/BaseTools/srandgen.c	(revision 3073)
+++ trunk/SophyaLib/BaseTools/srandgen.c	(revision 3074)
@@ -14,5 +14,5 @@
   Module 	Tirages aleatoires (C)
   Lib	LibsUtil
-  include	nbrandom.h
+  include	srandgen.h
 --
 */
@@ -169,5 +169,5 @@
 	Generation de distribution gaussienne:
 	Changement de l'initialisation de l'excursion du tirage
-	en nombre de sigmas
+	en nombre de sigmas (obsolete).
 --
 */
@@ -379,5 +379,5 @@
 /*
 ++
-|   #include "nbrandom.h"
+|   #include "srandgen.h"
 |   
 |   void main() {
@@ -512,5 +512,5 @@
   Module 	Tirages aleatoires selon une fonction (C)
   Lib	LibsUtil
-  include	nbrandom.h
+  include	srandgen.h
 --
 */
Index: trunk/SophyaLib/HiStats/Makefile
===================================================================
--- trunk/SophyaLib/HiStats/Makefile	(revision 3073)
+++ trunk/SophyaLib/HiStats/Makefile	(revision 3074)
@@ -12,96 +12,83 @@
  
 $(SOPHYAOBJP)basedtable.o: basedtable.cc basedtable.h \
-  $(SOPHYAINCP)machdefs.h ntupintf.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)segdatablock.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)pexceptions.h
+  $(SOPHYAINCP)machdefs.h \
+  ntupintf.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)segdatablock.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)sopnamsp.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  basedtable.cc
  
 $(SOPHYAOBJP)datatable.o: datatable.cc datatable.h basedtable.h \
-  $(SOPHYAINCP)machdefs.h ntupintf.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)segdatablock.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)machdefs.h \
+  ntupintf.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)segdatablock.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
   $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)strutil.h \
-  $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)fiosegdb.h \
-  $(SOPHYAINCP)segdatablock.h \
   $(SOPHYAINCP)ppftpointerio.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  datatable.cc
  
 $(SOPHYAOBJP)fio_dtable.o: fio_dtable.cc datatable.h basedtable.h \
-  $(SOPHYAINCP)machdefs.h ntupintf.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)segdatablock.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)objfio.h swppfdtable.h \
+  $(SOPHYAINCP)machdefs.h \
+  ntupintf.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)segdatablock.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  swppfdtable.h \
   $(SOPHYAINCP)swsegdb.h \
-  $(SOPHYAINCP)segdatablock.h \
   $(SOPHYAINCP)ppfswapper.h \
-  $(SOPHYAINCP)swsegdb.h \
   $(SOPHYAINCP)ppftpointerio.h \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)fiosegdb.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fio_dtable.cc
@@ -109,7 +96,6 @@
 $(SOPHYAOBJP)hisprof.o: hisprof.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h hisprof.h \
-  $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)machdefs.h \
+  hisprof.h $(SOPHYAINCP)peida.h \
   $(SOPHYAINCP)utils.h \
   $(SOPHYAINCP)perrors.h \
@@ -134,26 +120,23 @@
   $(SOPHYAINCP)tmatrix_tsnl.h \
   $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)ppersist.h histos.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)perrors.h
+  histos.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  hisprof.cc
  
 $(SOPHYAOBJP)histerr.o: histerr.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h histinit.h \
+  $(SOPHYAINCP)machdefs.h \
+  histinit.h \
   $(SOPHYAINCP)ntoolsinit.h \
   $(SOPHYAINCP)tarrinit.h \
   $(SOPHYAINCP)sophyainit.h \
-  $(SOPHYAINCP)machdefs.h histerr.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h histos.h \
-  $(SOPHYAINCP)peida.h \
+  histerr.h $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  histos.h $(SOPHYAINCP)peida.h \
   $(SOPHYAINCP)utils.h \
   $(SOPHYAINCP)perrors.h \
@@ -165,23 +148,19 @@
   $(SOPHYAINCP)mutyv.h \
   $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)perrors.h
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  histerr.cc
  
 $(SOPHYAOBJP)histinit.o: histinit.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h histinit.h \
+  $(SOPHYAINCP)machdefs.h \
+  histinit.h \
   $(SOPHYAINCP)ntoolsinit.h \
   $(SOPHYAINCP)tarrinit.h \
   $(SOPHYAINCP)sophyainit.h \
-  $(SOPHYAINCP)machdefs.h histos.h \
-  $(SOPHYAINCP)objfio.h \
+  histos.h $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)ppersist.h \
@@ -201,20 +180,15 @@
   $(SOPHYAINCP)mutyv.h \
   $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)anydataobj.h histos2.h \
-  $(SOPHYAINCP)utils.h hisprof.h histerr.h \
-  ntuple.h ntupintf.h $(SOPHYAINCP)dvlist.h \
-  xntuple.h datatable.h basedtable.h \
-  $(SOPHYAINCP)segdatablock.h swppfdtable.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  histos2.h hisprof.h histerr.h ntuple.h ntupintf.h xntuple.h datatable.h \
+  basedtable.h \
+  $(SOPHYAINCP)segdatablock.h \
+  swppfdtable.h \
   $(SOPHYAINCP)swsegdb.h \
-  $(SOPHYAINCP)segdatablock.h \
   $(SOPHYAINCP)ppfswapper.h \
-  $(SOPHYAINCP)swsegdb.h \
   $(SOPHYAINCP)ppftpointerio.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  histinit.cc
@@ -222,79 +196,69 @@
 $(SOPHYAOBJP)histos2.o: histos2.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h histos2.h \
+  $(SOPHYAINCP)machdefs.h \
+  histos2.h $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)fmath.h histos.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  histos2.cc
+ 
+$(SOPHYAOBJP)histos.o: histos.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h histos.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
   $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)utils.h \
-  $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h \
   $(SOPHYAINCP)fmath.h \
-  $(SOPHYAINCP)utils.h histos.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)anydataobj.h
-	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  histos2.cc
- 
-$(SOPHYAOBJP)histos.o: histos.cc $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h histos.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)utils.h \
-  $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)fmath.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
   $(SOPHYAINCP)poly.h \
-  $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)tvector.h \
   $(SOPHYAINCP)strutil.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  histos.cc
  
 $(SOPHYAOBJP)ntupintf.o: ntupintf.cc \
-  $(SOPHYAINCP)sopnamsp.h ntupintf.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h
+  $(SOPHYAINCP)sopnamsp.h \
+  ntupintf.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  ntupintf.cc
  
-$(SOPHYAOBJP)ntuple.o: ntuple.cc $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)ntuple.o: ntuple.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)strutil.h \
   $(SOPHYAINCP)perrors.h \
@@ -307,9 +271,6 @@
   $(SOPHYAINCP)ppfbinstream.h \
   $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h ntupintf.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  ntupintf.h $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)mutyv.h \
   $(SOPHYAINCP)timestamp.h
@@ -317,18 +278,16 @@
  
 $(SOPHYAOBJP)proxtuple.o: proxtuple.cc \
-  $(SOPHYAINCP)sopnamsp.h proxtuple.h \
-  ntuple.h $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h ntupintf.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  proxtuple.h ntuple.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  ntupintf.h $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)mutyv.h \
   $(SOPHYAINCP)timestamp.h
@@ -336,23 +295,21 @@
  
 $(SOPHYAOBJP)swppfdtable.o: swppfdtable.cc swppfdtable.h basedtable.h \
-  $(SOPHYAINCP)machdefs.h ntupintf.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)segdatablock.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)machdefs.h \
+  ntupintf.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)segdatablock.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
@@ -360,11 +317,7 @@
   $(SOPHYAINCP)tvector_tsnl.h \
   $(SOPHYAINCP)swsegdb.h \
-  $(SOPHYAINCP)segdatablock.h \
   $(SOPHYAINCP)ppfswapper.h \
-  $(SOPHYAINCP)swsegdb.h \
   $(SOPHYAINCP)ppftpointerio.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)pexceptions.h
+  $(SOPHYAINCP)sopnamsp.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  swppfdtable.cc
  
@@ -378,13 +331,10 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)perrors.h xntuple.h \
-  $(SOPHYAINCP)machdefs.h ntupintf.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h
+  ntupintf.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  xntuple.cc
  
Index: trunk/SophyaLib/HiStats/smakefile
===================================================================
--- trunk/SophyaLib/HiStats/smakefile	(revision 3073)
+++ trunk/SophyaLib/HiStats/smakefile	(revision 3074)
@@ -12,96 +12,83 @@
  
 $(SOPHYAOBJP)basedtable.o: basedtable.cc basedtable.h \
-  $(SOPHYAINCP)machdefs.h ntupintf.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)segdatablock.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)pexceptions.h
+  $(SOPHYAINCP)machdefs.h \
+  ntupintf.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)segdatablock.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)sopnamsp.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  basedtable.cc
  
 $(SOPHYAOBJP)datatable.o: datatable.cc datatable.h basedtable.h \
-  $(SOPHYAINCP)machdefs.h ntupintf.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)segdatablock.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)machdefs.h \
+  ntupintf.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)segdatablock.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
   $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)strutil.h \
-  $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)fiosegdb.h \
-  $(SOPHYAINCP)segdatablock.h \
   $(SOPHYAINCP)ppftpointerio.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  datatable.cc
  
 $(SOPHYAOBJP)fio_dtable.o: fio_dtable.cc datatable.h basedtable.h \
-  $(SOPHYAINCP)machdefs.h ntupintf.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)segdatablock.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)objfio.h swppfdtable.h \
+  $(SOPHYAINCP)machdefs.h \
+  ntupintf.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)segdatablock.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  swppfdtable.h \
   $(SOPHYAINCP)swsegdb.h \
-  $(SOPHYAINCP)segdatablock.h \
   $(SOPHYAINCP)ppfswapper.h \
-  $(SOPHYAINCP)swsegdb.h \
   $(SOPHYAINCP)ppftpointerio.h \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)fiosegdb.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fio_dtable.cc
@@ -109,7 +96,6 @@
 $(SOPHYAOBJP)hisprof.o: hisprof.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h hisprof.h \
-  $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)machdefs.h \
+  hisprof.h $(SOPHYAINCP)peida.h \
   $(SOPHYAINCP)utils.h \
   $(SOPHYAINCP)perrors.h \
@@ -134,26 +120,23 @@
   $(SOPHYAINCP)tmatrix_tsnl.h \
   $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)ppersist.h histos.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)perrors.h
+  histos.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  hisprof.cc
  
 $(SOPHYAOBJP)histerr.o: histerr.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h histinit.h \
+  $(SOPHYAINCP)machdefs.h \
+  histinit.h \
   $(SOPHYAINCP)ntoolsinit.h \
   $(SOPHYAINCP)tarrinit.h \
   $(SOPHYAINCP)sophyainit.h \
-  $(SOPHYAINCP)machdefs.h histerr.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h histos.h \
-  $(SOPHYAINCP)peida.h \
+  histerr.h $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  histos.h $(SOPHYAINCP)peida.h \
   $(SOPHYAINCP)utils.h \
   $(SOPHYAINCP)perrors.h \
@@ -165,23 +148,19 @@
   $(SOPHYAINCP)mutyv.h \
   $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)perrors.h
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  histerr.cc
  
 $(SOPHYAOBJP)histinit.o: histinit.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h histinit.h \
+  $(SOPHYAINCP)machdefs.h \
+  histinit.h \
   $(SOPHYAINCP)ntoolsinit.h \
   $(SOPHYAINCP)tarrinit.h \
   $(SOPHYAINCP)sophyainit.h \
-  $(SOPHYAINCP)machdefs.h histos.h \
-  $(SOPHYAINCP)objfio.h \
+  histos.h $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)ppersist.h \
@@ -201,20 +180,15 @@
   $(SOPHYAINCP)mutyv.h \
   $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)anydataobj.h histos2.h \
-  $(SOPHYAINCP)utils.h hisprof.h histerr.h \
-  ntuple.h ntupintf.h $(SOPHYAINCP)dvlist.h \
-  xntuple.h datatable.h basedtable.h \
-  $(SOPHYAINCP)segdatablock.h swppfdtable.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  histos2.h hisprof.h histerr.h ntuple.h ntupintf.h xntuple.h datatable.h \
+  basedtable.h \
+  $(SOPHYAINCP)segdatablock.h \
+  swppfdtable.h \
   $(SOPHYAINCP)swsegdb.h \
-  $(SOPHYAINCP)segdatablock.h \
   $(SOPHYAINCP)ppfswapper.h \
-  $(SOPHYAINCP)swsegdb.h \
   $(SOPHYAINCP)ppftpointerio.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  histinit.cc
@@ -222,79 +196,69 @@
 $(SOPHYAOBJP)histos2.o: histos2.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h histos2.h \
+  $(SOPHYAINCP)machdefs.h \
+  histos2.h $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)fmath.h histos.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  histos2.cc
+ 
+$(SOPHYAOBJP)histos.o: histos.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h histos.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
   $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)utils.h \
-  $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h \
   $(SOPHYAINCP)fmath.h \
-  $(SOPHYAINCP)utils.h histos.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)anydataobj.h
-	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  histos2.cc
- 
-$(SOPHYAOBJP)histos.o: histos.cc $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h histos.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)utils.h \
-  $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)fmath.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
   $(SOPHYAINCP)poly.h \
-  $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)tvector.h \
   $(SOPHYAINCP)strutil.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  histos.cc
  
 $(SOPHYAOBJP)ntupintf.o: ntupintf.cc \
-  $(SOPHYAINCP)sopnamsp.h ntupintf.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h
+  $(SOPHYAINCP)sopnamsp.h \
+  ntupintf.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  ntupintf.cc
  
-$(SOPHYAOBJP)ntuple.o: ntuple.cc $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)ntuple.o: ntuple.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)strutil.h \
   $(SOPHYAINCP)perrors.h \
@@ -307,9 +271,6 @@
   $(SOPHYAINCP)ppfbinstream.h \
   $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h ntupintf.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  ntupintf.h $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)mutyv.h \
   $(SOPHYAINCP)timestamp.h
@@ -317,18 +278,16 @@
  
 $(SOPHYAOBJP)proxtuple.o: proxtuple.cc \
-  $(SOPHYAINCP)sopnamsp.h proxtuple.h \
-  ntuple.h $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h ntupintf.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  proxtuple.h ntuple.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  ntupintf.h $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)mutyv.h \
   $(SOPHYAINCP)timestamp.h
@@ -336,23 +295,21 @@
  
 $(SOPHYAOBJP)swppfdtable.o: swppfdtable.cc swppfdtable.h basedtable.h \
-  $(SOPHYAINCP)machdefs.h ntupintf.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)segdatablock.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)machdefs.h \
+  ntupintf.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)segdatablock.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
@@ -360,11 +317,7 @@
   $(SOPHYAINCP)tvector_tsnl.h \
   $(SOPHYAINCP)swsegdb.h \
-  $(SOPHYAINCP)segdatablock.h \
   $(SOPHYAINCP)ppfswapper.h \
-  $(SOPHYAINCP)swsegdb.h \
   $(SOPHYAINCP)ppftpointerio.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)pexceptions.h
+  $(SOPHYAINCP)sopnamsp.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  swppfdtable.cc
  
@@ -378,13 +331,10 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)perrors.h xntuple.h \
-  $(SOPHYAINCP)machdefs.h ntupintf.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h
+  ntupintf.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  xntuple.cc
  
